#ifndef APP_DOWN_UART_PARSE_
#define APP_DOWN_UART_PARSE_

#include "uart_dev.h"

extern uint16_t checkModebusCrc(uint8_t *arr_buff, uint8_t len);

// void downSensorDataAnalysis(device_handle device);


uint32_t getTickDiff(uint32_t lastTick);

void J1_SensorDataAnalysis(void);
void J2_SensorDataAnalysis(void);
void J3_SensorDataAnalysis(void);
void J4_SensorDataAnalysis(void);
void J5_0_SensorDataAnalysis(void);


#endif